Name: wordnet
Version: 3.0
Release: alt4

Summary: WordNet English lexical reference system

License: Distributable
Group: Text tools
Url: http://wordnet.princeton.edu/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://wordnet.princeton.edu/%version/WordNet-%version.tar.bz2
Source1: WordNet.png
Patch: WordNet-3.0.patch

# Patches from Debian unstable
Patch10: wordnet-3.0-CVE-2008-2149.patch
Patch11: wordnet-3.0-CVE-2008-3908.patch
Patch12: wordnet-3.0-CVE-2008-3908-1.patch

# it is tcl not bash really
%add_findreq_skiplist %_bindir/wnb

BuildPreReq: libXft-devel

# Automatically added by buildreq on Wed Oct 22 2008
BuildRequires: tk-devel

%description
WordNet is an online lexical reference system whose design is
inspired by current psycholinguistic theories of human lexical
memory. English nouns, verbs, adjectives and adverbs are organized
into synonym sets, each representing one underlying lexical concept.
Different relations link the synonym sets.

WordNet was developed by the Cognitive Science Laboratory at
Princeton University under the direction of Professor George A.
Miller (Principal Investigator). Over the years, many people have
contributed to the success of WordNet.

%package tk
Summary: Tcl/tk frontend WordNet English lexical reference system
Group: Text tools
Requires: %name
Requires: tcl tk

%description tk
wnb is a GUI frontend for WordNet developed with Tcl/Tk


%package -n lib%name-devel
Summary: Includes for WordNet English lexical reference system
Group: System/Libraries
Provides: lib%name
Obsoletes: lib%name

%description -n lib%name-devel
Files for developing with WordNet

%prep
%setup -q -n WordNet-%version
# TODO: send correct patch to upstream
%patch
%patch10 -p1
%patch11 -p1
%patch12 -p1
%__subst "s|/usr/local/WordNet-3.0/lib/wnres|%_datadir/%name|g" src/wnb

%build
%autoreconf
%configure
%make_build

%install
%makeinstall_std htmldir=%_docdir/%name-%version

rm -rf %buildroot%prefix/doc
install -D -m 0644 %SOURCE1 %buildroot%_iconsdir/%name.png

mkdir -p %buildroot%_desktopdir
cat <<EOF >%buildroot%_desktopdir/%name.desktop
[Desktop Entry]
Name=WordNet
Comment=WordNet English lexical reference system
Exec=%_bindir/wnb
Icon=%name.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Office;Dictionary;Applications
EOF

%files
%_bindir/wn
%_datadir/%name/
%_man1dir/*
%_man3dir/*
%_man5dir/*
%_man7dir/*
%_docdir/%name-%version/

%files tk
%_bindir/wnb
%_bindir/wishwn
%_iconsdir/%name.png
%_desktopdir/*

%files -n lib%name-devel
%_libdir/*.a
%_includedir/*

%changelog
* Sun Dec 28 2008 Vitaly Lipatov <lav@altlinux.ru> 3.0-alt4
- applied patches against CVE-2008-2149, CVE-2008-3908 (fix bug #15678)

* Wed Oct 22 2008 Vitaly Lipatov <lav@altlinux.ru> 3.0-alt3
- update buildreq

* Fri Mar 14 2008 Vitaly Lipatov <lav@altlinux.ru> 3.0-alt2
- rebuild with tcl 8.5

* Thu Jan 03 2008 Vitaly Lipatov <lav@altlinux.ru> 3.0-alt1
- new version 3.0
- rewrote path patches
- update buildreqs

* Fri Feb 24 2006 Vitaly Lipatov <lav@altlinux.ru> 2.1-alt2
- fix requires for wordnet-tk package (bug #9146)

* Wed Aug 31 2005 Vitaly Lipatov <lav@altlinux.ru> 2.1-alt1
- new version
- change dictionary location
- remove libwordnet package

* Fri Jun 11 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0-alt2
- fix location of wnb resources
- fix menu and icon

* Thu Jun 10 2004 Vitaly Lipatov <lav@altlinux.ru> 2.0-alt1
- first build for Sisyphus (Thanks Ark Linux)

* Fri Mar 21 2003 Sergio Visinoni <piffio@arklinux.org> 1.7.1-3ark
- Really rebuild binaries when building
- Fix dictionary path

* Mon Nov 05 2002 Natasha Sainty <natasha@arklinux.org> 1.7.1-1ark
- First pkg
